# KSPGetInitialGuessNonzero

Determines whether the KSP solver is using a zero initial guess.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetInitialGuessNonzero(KSP ksp,PetscTruth *flag)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

flag -PETSC_TRUE if guess is nonzero, else PETSC_FALSE

### Keywords

KSP, set, initial guess, nonzero

### See Also

KSPSetInitialGuessNonzero(), KSPSetInitialGuessKnoll(), KSPGetInitialGuessKnoll()

Level:intermediate
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages